/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.html.image']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.html.image'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

	epages.html.image $Revision: 1.2 $

*/
dojo.provide('epages.html.image');
dojo.require('epages.html');

epages.html.image = {
	resize : function (image, previewwidth, previewheight) {
		var width  = image.offsetWidth;
		var height = image.offsetHeight;
		if (image.naturalWidth) {
			width  = image.naturalWidth;
			height = image.naturalHeight;
		}
		if (width < previewwidth && height < previewheight) {
			image.style.width  = '';
			image.style.height = '';
			return;
		}
		var ratio = width / height;
		if (previewwidth < Math.round(previewheight * ratio)) {
			image.style.width  = previewwidth;
			image.style.height = '';
		}
		else if (previewheight < Math.round(previewwidth / ratio)) {
			image.style.height = previewheight;
			image.style.width  = '';
		}
	}
};

}
