/*
 * @copyright		© Copyright 2006-2012, epages GmbH, All Rights Reserved.
 *
 * @module			de_epages/design/inc/editorinitselect
 *
 * @revision		$Revision: 1.3 $
 */

define("de_epages/design/inc/editorinitselect", [
	"jquery",

	"ep/ui/editor"
], function ($) {

	return function (options) {
		var o = $.extend({
				// defaults
				valuePrefix: ""
			}, options);

		if (o.select) {
			$(o.select)
				.on('change', function () {
					$(window)
						.trigger('resize');

					$("#" + o.valuePrefix + $(this).val())
						.trigger('show');
				})
				.trigger('change');
		}
	};

});