/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["epages.cartridges.de_epages.presentation.widget.Toolvisualaid"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["epages.cartridges.de_epages.presentation.widget.Toolvisualaid"] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

	epages.cartridges.de_epages.presentation.widget.Toolfont $Revision: 1.9 $

*/
dojo.provide("epages.cartridges.de_epages.presentation.widget.Toolvisualaid");
dojo.require("epages.widget");
dojo.require("epages.html");
dojo.require("epages.cartridges.de_epages.presentation.visualaidcontroller");

dojo.declare("epages.cartridges.de_epages.presentation.widget.Toolvisualaid",
	[epages.widget.LocalizedWidget],
	{
		/**
		 * private properties
		 */
		_classes      : ['ico_s_visualaid','ico_s_visualaid_hidden'],
		/**
		 * widget properties
		 */
		templateString:"<div class=\"CommandSmallWithLink VisualAid TopMargin NoPadding\" title=\"{ToggleGuideLines}\" /><i dojoAttachPoint=\"iconNode\" class=\"Sprite ico_s_visualaid\"></i>{GuideLines}</div>\n",
		imagePath    : epages.themeUrl('images'),
		translationName : dojo.moduleUrl('epages.cartridges.de_epages.presentation.widget', 'templates/translation'),

		postCreate  : function() {
			this.inherited("postCreate", arguments);
			this.connect(this.domNode, "onclick", '_setVisualAid');
			dojo.subscribe('presentation/setVisualAid', this, '_updateButton');  // multiple instances of this widget can react on a change
		},

		_setVisualAid: function() {
			epages.cartridges.de_epages.presentation.visualaidcontroller.toggleVisualAid();
		},

		_updateButton: function(opt) {
			epages.html.replaceClass(this.iconNode, this._classes[opt.isVisible ? 0 : 1], this._classes[opt.isVisible ? 1 : 0]);
		}
});

}
